Page MenuHomePhabricator

Wireless regulatory.db missing
Closed, InvalidPublicBUG

Description

vyos@vyos:~$ sudo  dmesg | grep cfg80211
[   21.853757] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[   22.119660] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[   22.281225] cfg80211: failed to load regulatory.db

vyos@vyos:~# find / -name regulatory.db

For more infos refer to https://wireless.wiki.kernel.org/en/developers/Regulatory

Details

Difficulty level
Unknown (require assessment)
Version
1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

c-po added a comment.Oct 12 2019, 9:15 AM

Found it.

/lib/crda/regulatory.bin

vyos@vyos:~# dpkg -l | grep wireless-regdb
ii  wireless-regdb                   2016.06.10-1~deb8u1              all          wireless regulatory database
c-po closed this task as Invalid.Oct 12 2019, 9:15 AM
c-po claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:01 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.Sat, Nov 16, 11:44 PM
ChrO added a subscriber: ChrO.Mon, Nov 25, 7:18 PM

how can this be invalid and closed? The error is still there on a Crux build of this week...

# uname -a
Linux vyos 4.19.84-amd64-vyos #1 SMP Sun Nov 17 19:42:30 UTC 2019 x86_64 GNU/Linux

# dmesg | grep 80211
[   23.591343] cfg80211: Loading compiled-in X.509 certificates for regulatory database
[   23.948842] cfg80211: Loaded X.509 cert 'sforshee: 00b28ddf47aef9cea7'
[   24.123315] cfg80211: failed to load regulatory.db

# ls -l /lib/crda/regulatory.bin
-rw-r--r-- 1 root root 4968 Jan  8  2017 /lib/crda/regulatory.bin

# iw reg get
country 98: DFS-UNSET
        (2402 - 2472 @ 40), (N/A, 20), (N/A)
        (5170 - 5250 @ 80), (N/A, 20), (N/A)
        (5250 - 5330 @ 80), (N/A, 20), (0 ms), DFS
        (5490 - 5710 @ 160), (N/A, 23), (0 ms), DFS
        (57240 - 63720 @ 2160), (N/A, 40), (N/A)
# iw reg set DE
# iw reg get
country 98: DFS-UNSET
        (2402 - 2472 @ 40), (N/A, 20), (N/A)
        (5170 - 5250 @ 80), (N/A, 20), (N/A)
        (5250 - 5330 @ 80), (N/A, 20), (0 ms), DFS
        (5490 - 5710 @ 160), (N/A, 23), (0 ms), DFS
        (57240 - 63720 @ 2160), (N/A, 40), (N/A)